API docs

List products and offerings

GET
/offering/list

In the Peecho dashboard under Settings, you can find all of the products that Peecho offers. All products set as active in your account can be queried using the offering API. The ID that you find under the product name is the offering ID. The endpoint returns the product catalog ID and its attributes.

Query Parameters

merchantApiKey*string
countryIsoCode2?string

Only return offerings that are available in this country

subCategoryFilter?string

Filter offerings by subCategory. Use subCategory code (GET /rest/v3/categories to get subCategory codes)

categoryFilter?string

Filter offerings by category. Use category code (GET /rest/v3/categories to get category codes)

currency?string

Currency in which to show the prices. The default is EUR

Response Body

application/json

curl -X GET "https://example.com/offering/list?merchantApiKey=ABCD1234XXXX&countryIsoCode2=NL&currency=USD"
{  "BO": {    "SC": [      {        "id": 271357,        "name": "Softcover A4 Autoboekjes (landscape)",        "paperType": "Matte",        "catalogueItemCode": "AU-mag-M-l",        "minimumQuantity": 1,        "minNumberOfPages": 20,        "maxNumberOfPages": 800,        "dimensionWidth": 297,        "dimensionHeight": 210,        "dynamicSize": true,        "minDimensionWidth": 210,        "minDimensionHeight": 148,        "pricingDto": {          "currency": "EUR",          "price": 596,          "pricePerPage": 4        }      },      {        "id": 271408,        "name": "Softcover A4 portrait 150 GSM (portrait)",        "paperType": "Matte",        "catalogueItemCode": "AB-sft-M-p",        "minimumQuantity": 1,        "minNumberOfPages": 20,        "maxNumberOfPages": 300,        "dimensionWidth": 210,        "dimensionHeight": 297,        "dynamicSize": false,        "minDimensionWidth": 100,        "minDimensionHeight": 100,        "pricingDto": {          "currency": "EUR",          "price": 411,          "pricePerPage": 18        }      },      {        "id": 272206,        "name": "Softcover 21x21 150 gsm (square)",        "paperType": "Matte",        "catalogueItemCode": "AB-sft-M-s",        "minimumQuantity": 0,        "minNumberOfPages": 20,        "maxNumberOfPages": 300,        "dimensionWidth": 210,        "dimensionHeight": 210,        "dynamicSize": false,        "pricingDto": {          "currency": "EUR",          "price": 411,          "pricePerPage": 18        }      }    ]  }}